"""Pacman Graphic Object"""
import pygame as pg

class PacmanSprite(pg.sprite.Sprite):
    def __init__(self, size):
        super().__init__()
        self.image = pg.Surface([size, size])
        half_size = int(size / 2)
        pg.draw.circle(self.image, (255, 255, 0), (half_size, half_size), half_size)

        # Fetch the rectangle object that has the dimensions of the image
        # Update the position of this object by setting the values of rect.x and rect.y
        self.rect = self.image.get_rect()